summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Daniel LEVAI <leva@ecentrum.hu>2010-11-09 00:32:50 +0000
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-11-22 19:44:57 +0100
commite6d445a44da1f7814487af132566c1a543770ec4 (patch)
tree72b5f431b55ea9be93bd6083ebf14755ddb646be /libraries
parentda86549e820daa3f76a1f04ab88e1ab3ef9eb05f (diff)
downloadslackbuilds-e6d445a44da1f7814487af132566c1a543770ec4.tar.gz
slackbuilds-e6d445a44da1f7814487af132566c1a543770ec4.tar.xz
libraries/perl-Authen-SASL: Added (SASL Authentication framework)
Signed-off-by: Michiel van Wessem <michiel@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/perl-Authen-SASL/README8
-rw-r--r--libraries/perl-Authen-SASL/perl-Authen-SASL.SlackBuild108
-rw-r--r--libraries/perl-Authen-SASL/perl-Authen-SASL.info10
-rw-r--r--libraries/perl-Authen-SASL/slack-desc19
4 files changed, 145 insertions, 0 deletions
diff --git a/libraries/perl-Authen-SASL/README b/libraries/perl-Authen-SASL/README
new file mode 100644
index 0000000000..0ddc945a68
--- /dev/null
+++ b/libraries/perl-Authen-SASL/README
@@ -0,0 +1,8 @@
+Authen::SASL - SASL Authentication framework
+
+SASL is a generic mechanism for authentication used by several network
+protocols. Authen::SASL provides an implementation framework that all
+protocols should be able to share.
+
+Dependencies:
+perl-Digest-HMAC
diff --git a/libraries/perl-Authen-SASL/perl-Authen-SASL.SlackBuild b/libraries/perl-Authen-SASL/perl-Authen-SASL.SlackBuild
new file mode 100644
index 0000000000..5c18b64dd1
--- /dev/null
+++ b/libraries/perl-Authen-SASL/perl-Authen-SASL.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh -e
+
+# Copyright (c) 2010 Daniel LEVAI
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+# * Neither the name of the <organization> nor the
+# names of its contributors may be used to endorse or promote products
+# derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED ''AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Build script for perl-Authen-SASL
+
+SRCNAM=Authen-SASL
+PRGNAM=perl-$SRCNAM
+VERSION=2.15
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ];then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -Rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -Rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l );do
+ ln -s $( readlink $i ).gz $i.gz ; rm $i
+done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" -print0 | xargs -0 rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a api.txt Changes \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-Authen-SASL/perl-Authen-SASL.info b/libraries/perl-Authen-SASL/perl-Authen-SASL.info
new file mode 100644
index 0000000000..bb4334c4d2
--- /dev/null
+++ b/libraries/perl-Authen-SASL/perl-Authen-SASL.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Authen-SASL"
+VERSION="2.15"
+HOMEPAGE="http://search.cpan.org/~gbarr/Authen-SASL-2.15/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GB/GBARR/Authen-SASL-2.15.tar.gz"
+MD5SUM="35929abb2755cf479d548672800aebee"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Daniel LEVAI"
+EMAIL="leva@ecentrum.hu"
+APPROVED="Michiel van Wessem"
diff --git a/libraries/perl-Authen-SASL/slack-desc b/libraries/perl-Authen-SASL/slack-desc
new file mode 100644
index 0000000000..bc46f2680b
--- /dev/null
+++ b/libraries/perl-Authen-SASL/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Authen-SASL: perl-Authen-SASL (SASL Authentication framework)
+perl-Authen-SASL:
+perl-Authen-SASL: SASL is a generic mechanism for authentication used by several network
+perl-Authen-SASL: protocols. Authen::SASL provides an implementation framework that all
+perl-Authen-SASL: protocols should be able to share.
+perl-Authen-SASL:
+perl-Authen-SASL:
+perl-Authen-SASL:
+perl-Authen-SASL: Homepage: http://search.cpan.org/~gbarr/Authen-SASL/
+perl-Authen-SASL:
+perl-Authen-SASL: